Subject: Re: [PATCH] kill useless SMT code in prom_hold_cpus

From: Tony Breeds <[email-masked]>
Date: Tue, 15 Jul 2008 14:59:31 +1000

On Mon, Jul 14, 2008 at 11:55:51PM -0500, Nathan Lynch wrote:
 
> sysfs.  (e.g. /sys/devices/system/cpu/cpu0/physical_id)

Hmm okay, sysfs is fine if you're gettign all the way up. I guess if we
have problems in that are we can readd the printf().
 
> The proper place for such a message is in the kernel's smp bringup
> code later on, and/or the code that initializes the various cpu maps.
> The prom_init code should not really be concerned with the kernel's
> NR_CPUS configuration or mapping of logical to physical ids.

Right, care to make this a series and add that ;P

Yours Tony

  linux.conf.au    http://www.marchsouth.org/
  Jan 19 - 24 2009 The Australian Linux Technical Conference!